Compatibilité du site PrestaShop avec les versions de PHP

Trouver une version de PHP compatible avec PrestaShop est une question assez courante sur les sujets généraux des forums PrestaShop. Les développeurs PrestaShop ont toujours besoin de trouver une version PHP appropriée pour leur serveur lors de la mise à jour vers la dernière version de PrestaShop.

Répondre à la configuration système requise pour PrestaShop aidera à empêcher votre boutique en ligne de rencontrer des erreurs inattendues.

Passer votre version actuelle de PHP à la dernière rendra certainement votre boutique e-commerce plus rapide, cependant, chaque version de PrestaShop ne prend en charge que certains PHP.

Voyons avec quelle version de PHP votre boutique en ligne sera prête.

PrestaShop PHP version

PrestaShop 1.6 supporte PHP version 5.2 à 7.1

Cette version PS est sortie en 2014. Ce PS prend en charge PHP 5.2 à PHP 7.1. À cette époque, la mise à niveau de PS 1.5 à 1.6 était un processus douloureux, presque « bouleversant à reconstruire ».

Version de PrestaShop 1.7 est compatible avec PHP version 5.4 à 7.4

La première version stable de PS 1.7 est sortie en novembre 2016. Vous pouvez installer PHP 5.4 à PHP 7.4 sur votre serveur Web pour héberger votre boutique en ligne.

Les 3 plus couramment utilisés actuellement sont PHP 7.2, PHP 7.3 et PHP version 7.4.

PrestaShop 8 a besoin de PHP 7.2.5 à 8.1 sur votre serveur.

La nouvelle version de PrestaShop est sortie en novembre 2022. Ce dernier paquet PrestaShop fonctionne comme un projet open source et supporte la dernière version de PHP 8.1. Il est également compatible avec PHP 7.3 ainsi qu’avec PHP 7.4.

PrestaShop PHP compatibility

Notre recommandation ? Il serait intéressant de passer à la dernière version 8.0 car au moins cela peut accélérer considérablement les performances de site e-commerce PrestaShop.

Les versions supportées de PHP ne sont-elles pas prêtes sur votre hébergement ? Vous devez contacter votre fournisseur d’hébergement pour mettre à jour PHP ou changer la version de PHP pour une version plus récente pour votre compte. Si c’est impossible, sauvegardez votre site Web et trouvez un meilleur hébergement.

Vous voudrez peut-être accéder à ce lien pour en savoir plus sur les nouvelles fonctionnalités de PrestaShop 8, ou télécharger ce fichier pour l’installation de PrestaShop.

Apprendre encore plus

PrestaShop Newsletter Christmas theme

Dernière mise à jour des modules!

Age Restriction - 18+ ⊙
Corrigez certains problèmes d’affichage sur les appareils mobiles.


Newsletter Popup v3.2.2
Édition de Noël pour booster vos ventes.


Trusty v1.4.7 ⊙
Compatible avec PrestaShop 1.7 et PrestaShop 8.

PrestaSOO team
Tout ce dont vous avez besoin pour gagner votre vie en faisant le travail que vous aimez.

Découvrir


C'est un investissement judicieux

Modules Prestashop que nous avons créés en premier pour résoudre le problème de notre propre entreprise - un site de commerce électronique. Cela signifie qu'ils sont très utiles pour une entreprise sérieuse. Si vous appréciez votre propriété Web, ces modules sont un investissement judicieux.
Sarah Reeves, Développeur d'applications @ PrestaSOO
Fabriqué avec à Paris et à Hanoi
PrestaSOO © 2024. Tous les droits sont réservés. // Privacy Policy Terms of Service